# win_iis_webapplication – Configures IIS web applications

- Synopsis
- Parameters
- See Also
- Examples
- Return Values
- Status

## Synopsis

- Creates, removes, and configures IIS web applications.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
application_pool string |  | The application pool in which the new site executes.
name string / required |  | Name of the web application.
physical_path string |  | The physical path on the remote host to use for the new application. The specified folder must already exist.
site string / required |  | Name of the site on which the application is created.

state
string

Choices:
- absent
- present ←

State of the web application.

## See Also

See also

win_iis_virtualdirectory – Configures a virtual directory in IIS
  The official documentation on the win_iis_virtualdirectory module.
win_iis_webapppool – Configure IIS Web Application Pools
  The official documentation on the win_iis_webapppool module.
win_iis_webbinding – Configures a IIS Web site binding
  The official documentation on the win_iis_webbinding module.
win_iis_website – Configures a IIS Web site
  The official documentation on the win_iis_website module.

## Examples

    - name: Add ACME webapplication on IIS.
      win_iis_webapplication:
        name: api
        site: acme
        state: present
        physical_path: C:\apps\acme\api

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
application_pool string | success | The used/implemented application_pool value. Sample: DefaultAppPool
physical_path string | success | The used/implemented physical_path value. Sample: C:\apps\acme\api

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Henrik Wallström (@henrikwallstrom)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.